.intec-template-title {
  display: none !important;
}

.sale-basket-small-content {
  display: none !important;
}

.widget.c-widget.c-widget-buttontop .widget-button {
  display: none !important;
}

.btn-photos {
  color: #111111 !important;
}

.size {
  color: #111111 !important;
}

.inner-page .wpraper-content {
  margin-top: 0px;
}

#new-template .products-item-title {
  margin-bottom: 0px !important;
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

#new-template .products-item-category {
  margin-bottom: 0px !important;
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

#new-template .products-item-cost {
  font-family: "HelveticaNeue";
  font-size: 15.88px;
  font-weight: 500;
  line-height: 24px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

/* Активный элемент */
.color-item .active {
  border: 1px solid #111111; /* Стиль рамки для активного элемента */
}
/*хлебные крошки*/

.catalog__header {
  padding: 20px;
  background-color: #fff;
  max-width: 1816px;
  margin: 0 auto;
}

.catalog__header .catalog__header__title .catalog__header__breadcrumbs {
  text-decoration: none;
  color: #555;
  margin-right: 5px;
  font-size: 14px;
}

.catalog__header .catalog__breadcrumbs_title {
  margin-top: 20px !important;
  font-size: 18px;
  font-weight: 500;
}

body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
}

.product-page {
  display: grid;
  grid-template-columns: auto minmax(200px, 500px) minmax(auto, 400px);
  gap: 10px;
  max-width: 1200px;
  margin: 0 auto;
  padding: 20px 0;
  justify-content: center;
}

/* Галерея изображений */
.product-gallery {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.gallery-item {
  width: 60px;
  height: 60px;
  cursor: pointer;
  transition: border 0.3s ease;
  border-radius: 4px;
}

.product-gallery .gallery-item img {
  width: 100%;
  height: 100% !important;
  object-fit: cover;
}

.product-colors .active {
  border: 1px solid #111111;
}

.product-image {
  position: relative;
}

/* Основное изображение */
.product-image img {
  width: 535px !important;
  height: 669px !important;
  object-fit: cover;
}

/* Описание и параметры */
.product-details {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.product-price {
  font-size: 16px !important;
  font-weight: 500 !important;
  color: #333;
  font-family: "HelveticaNeue";
  font-size: 16px !important;
  font-weight: 500 !important;
  line-height: 24px !important;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.product-colors img {
  width: 40px;
  height: 40px;
  /* margin-right: 10px; */
  cursor: pointer;
  border-radius: 5px;
  transition: transform 0.2s ease;
}

.sizes-grid {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  flex-direction: row;
  flex-wrap: wrap;
  gap: 4px;
}

.size {
  padding: 12px 12px;
  border: 1px solid #ddd;
  background-color: transparent;
  cursor: pointer;
  transition: background-color 0.2s, color 0.2s, border-color 0.2s;
  border-radius: 6px;
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  text-align: center;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.size.active {
  border: 1px solid #111111;
  color: 111111;
}

.size.disabled {
  background-color: #f1f1f1;
  color: #aaa;
  cursor: not-allowed;
}

/* Кнопки */
.product-actions {
  display: flex;
  gap: 10px;
  flex-direction: column;
}

.btn {
  padding: 10px 20px;
  border: none;
  font-size: 16px;
  cursor: pointer;
  transition: background-color 0.2s ease;
  border-radius: 30px;
}

.btn-primary {
  background-color: #111111;
  color: #fff;
  padding: 20px 20px;
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  text-align: center;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.btn-primary:hover {
  background-color: #212121;
  color: #fff;
}

.btn-secondary {
  background-color: #ffffff;
  border: 1px solid #cacacb;
  color: #333;
  padding: 20px 20px;
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  text-align: center;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.btn-secondary:hover {
  background-color: #ddd;
}

.filter-options {
  flex-direction: column;
  gap: 24px;
}

@media screen and (min-width: 500px) and (max-width: 1024px) {
  .product-page {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .product-colors {
    justify-content: center;
  }

  .product-gallery {
    display: none;
  }
}

/* Адаптивность */
@media (max-width: 1024px) {
  .product-image-wrapper {
    height: 500px !important;
  }

  .product-page {
    grid-template-columns: 1fr;
  }

  .product-image {
    order: 1;
  }

  .product-details {
    order: 2;
    display: grid;
  }

  .product-gallery {
    order: 3;
    flex-direction: row;
    overflow-x: auto;
    gap: 5px;
  }

  .gallery-item {
    width: 80px;
    height: 80px;
  }

  .product-colors {
    display: flex; /* Располагаем элементы в строку */
    gap: 10px; /* Отступы между элементами */
    overflow-x: auto; /* Включаем горизонтальный скролл */
    white-space: nowrap; /* Запрещаем перенос элементов на следующую строку */
    -webkit-overflow-scrolling: touch;
    width: calc(100% - 6px) !important;
    overflow-x: auto;
    gap: 4px !important;
    -ms-overflow-style: none; /* Убираем полосы в IE */
    scrollbar-width: none; /* Убираем полосы в Firefox */
  }

  .product-colors::-webkit-scrollbar {
    display: none; /* Убираем полосы в WebKit-браузерах */
  }

  .product-colors .color-item {
    flex: 0 0 auto; /* Элементы остаются фиксированного размера */
    width: 125px;
    height: 125px;
    border-radius: 5px;
    cursor: pointer;
    transition: border 0.2s ease;
  }

  .sizes-grid {
    gap: 4px;
  }

  .size {
    padding: 11px 7px;
  }

  .product-gallery {
    display: none;
  }

  .bnt {
    width: calc(100% - 20px);
  }

  .arrow_card-right {
    top: -50px !important;
    width: 40px !important;
    height: 40px !important;
  }

  .arrow_card-left {
    top: -50px !important;
    width: 40px !important;
    height: 40px !important;
  }

  .s-title-wrap {
    align-items: end !important;
  }

  .product-sizes__header {
    margin-top: 40px;
  }

  .individual-order {
    font-family: "HelveticaNeue" !important;
    font-size: 16px !important;
    font-weight: 400 !important;
    line-height: 28px !important;
    text-align: center !important;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
  }

  .individual-order_custom_width {
    padding-left: 11px;
  }

  .product-details_header-container {
    padding-left: 24px;
  }

  .product-price {
    padding-left: 24px;
  }

  .product-sizes {
    margin: 0 auto;
  }

  .btn-primary {
    width: 342px;
    margin: 0 auto;
  }

  .btn-secondary {
    width: 342px;
    margin: 0 auto;
  }

  .catalog__header {
    display: none;
  }

  .product__text-block {
    padding: 0 24px;
  }

  h3.s-title {
    font-family: "HelveticaNeue";
    font-size: 24px !important;
    font-weight: 400 !important;
    line-height: 28px !important;
    text-align: left !important;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
  }

  h2.xs-title {
    font-family: "HelveticaNeue";
    font-size: 16px !important;
    font-weight: 400 !important;
    line-height: 24px !important;
    text-align: left !important;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
  }

  #new-template .main-products {
    padding: 0;
  }

  #new-template .tested {
    padding: 0 !important;
    padding-bottom: 30px !important;
  }

  .filter-options {
    margin-top: 30px !important;
  }
  .filter-options_review {
    align-items: flex-start;
  }
}

.review_block_add {
  display: flex;
  flex-direction: column;
  gap: 2px;
  align-items: center;
  width: 100%;
}

.product-image-wrapper {
  position: relative; /* Относительное позиционирование для контейнера */
  display: flex;
  justify-content: center; /* Центровка основного изображения */
  height: 100%;
  max-height: 487.5px;
  max-width: 535px !important;
}

.product-image img {
  max-width: 390px;
  max-height: 487.5px;
  width: 100%;
  height: 100%;
}

.arrow_card {
  position: absolute;
  bottom: 5%;
  transform: translateY(-50%);
  background: #fff;
  color: white;
  border: none;
  padding: 10px;
  cursor: pointer;
  font-size: 18px;
  border-radius: 50%;
  width: 24px;
  height: 24px;
}

.arrow_card-left {
  right: 62px;
  background-image: url("./img/arrow.svg");
  background-repeat: no-repeat;
  background-position: center;
  transform: rotate(270deg); /* Поворачиваем контейнер с фоном */
  transform-origin: center;

  top: 500px;
}

.arrow_card-right {
  right: 25px;
  background-image: url("./img/arrow.svg");
  background-repeat: no-repeat;
  background-position: center;
  transform: rotate(90deg); /* Поворачиваем контейнер с фоном */
  transform-origin: center;
  top: 500px;
}

.gallery-item.active {
  position: relative;
}

.gallery-item.active::before {
  content: ""; /* Создаём псевдоэлемент */
  position: absolute;
  top: 0;
  left: 0;
  width: 100%; /* Покрывает всю ширину элемента */
  height: 100%; /* Покрывает верхнюю часть элемента */
  background: rgba(0, 0, 0, 0.15);
  pointer-events: none; /* Псевдоэлемент не мешает кликам */
  border-radius: 4px;
}

/* Контейнер для цветов */
.product-colors {
  display: flex;
  gap: 8px; /* Расстояние между элементами */
  width: fit-content;
}

/* Элемент цвета */
.color-item {
  width: 72px; /* Ширина */
  height: 72px; /* Высота */
  display: flex;
  align-items: center; /* Выравнивание по вертикали */
  justify-content: center; /* Выравнивание по горизонтали */
  background-color: #f1f1f1; /* Фон для пустых элементов */
  border-radius: 4px; /* Скругление углов */
  overflow: hidden; /* Обрезка изображения, если оно больше контейнера */
}

/* Изображение внутри элемента */
.color-item img {
  width: 100%;
  height: 100%;
  max-height: 100%;
  object-fit: contain; /* Сохраняет пропорции изображения внутри контейнера */
}

.color-item:hover {
  border: 1px solid #111111;
}

.product-sizes {
  display: flex;
  flex-direction: column;
  gap: 12px;
  max-width: fit-content;
}

.product-sizes__header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.sizes__title_color-grey {
  color: #707072;
}

.product-sizes__title {
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  font-family: "HelveticaNeue";
  font-size: 16px !important;
  font-weight: 500 !important;
  line-height: 24px !important;
  text-align: right;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.product-details__title {
  font-weight: 500;
  font-size: 22.5px;
  line-height: 28.8px;
  font-family: "HelveticaNeue";
  font-size: 22.5px;
  font-weight: 500;
  line-height: 28.8px;
  letter-spacing: 0.1679999977350235px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.product-details__title {
  font-family: "HelveticaNeue";
  font-size: 22.5px;
  font-weight: 500;
  line-height: 28.8px;
  letter-spacing: 0.1679999977350235px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.product-details_header-container {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.individual-order {
  font-size: 16px; /* Размер шрифта */
  line-height: 1.5; /* Межстрочный интервал */
  color: #707072; /* Цвет текста */
  text-align: center; /* Центровка текста */
  margin: 20px 0;
  line-height: 1.5;
  font-weight: normal;
}

/* Ссылка */
.custom-link {
  text-decoration: underline; /* Подчёркивание */
  transition: color 0.2s ease; /* Плавный переход при наведении */
  text-decoration: underline !important;
  padding-bottom: 4px;
  font-weight: normal;
  color: #111111;
}

.custom-link_color_grey {
  color: #666666 !important; /* Цвет ссылки */
  font-family: "HelveticaNeue" !important;
  font-size: 16px !important;
  font-weight: 500 !important;
  line-height: 28px !important;
  text-align: center !important;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.text-base-color {
  color: #111111;
}

.text_bold {
  font-size: 16px;
  font-weight: 700;
  line-height: 20px;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.text_bold_2 {
  font-family: "HelveticaNeue" !important;
  font-size: 16px !important;
  font-weight: 500 !important;
  line-height: 24px !important;
  text-align: left !important;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.product__text-block {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.product__text-subblock {
  display: flex;
  flex-direction: column;
  gap: 8px;
  font-family: "HelveticaNeue" !important;
  font-size: 16px !important;
  font-weight: 400 !important;
  line-height: 28px !important;
  text-align: left !important ;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.filter-price__name {
  font-size: 18px;
  display: block;
  font-weight: 500;
  font-family: "HelveticaNeue" !important;
  font-size: 18.91px !important;
  font-weight: 500 !important;
  line-height: 24px !important;
  text-align: left !important;
  text-underline-position: from-font !important;
  text-decoration-skip-ink: none !important;
}

.filter-section__container {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  align-items: center;
  margin-bottom: 10px;
  gap: 10px;
}

.filter-section__container__review_popup {
  width: calc(100% - 48px);
  margin: 0 auto;
}

.filter-section__container:hover {
  cursor: pointer;
}

.filter__section {
  border-bottom: 1px solid #e5e5e5;
  padding-bottom: 16px;
}

.arrow_new_close {
  transform: rotate(180deg) !important;
}

.title_container_photos {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.xs-title {
  font-weight: normal;
  font-size: 16px;
}

.btn-photos {
  max-width: 165px;
  width: 100%;
  background-color: #ffffff;
  border: 1px solid #cacacb;
  padding: 9px 15px;
  font-family: "HelveticaNeue" !important;
  font-size: 16px !important;
  font-weight: 400 !important;
  line-height: 24px !important;
  text-align: center !important;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.btn-photos:hover {
  border-color: #111111 !important;
}

.products-item-img {
  position: relative;
}

#new-template .products-item-img_border-r {
  border-radius: 8px !important;
}

.find_icon_photos__container {
  display: flex;
  position: absolute;
  width: 36px !important;
  height: 36px !important;
  background-color: #111111;
  border-radius: 50%;
  z-index: 2;
  left: 10px;
  bottom: 10px;
  align-items: center;
  justify-content: center;
}

.find_icon_photos {
  object-fit: contain;
  width: auto !important;
  height: auto !important;
}

.find_icon_photos {
  cursor: pointer;
}

.filter-section_img_container {
  display: flex;
  gap: 12px;
  align-items: center;
  justify-content: center;
}

.arrow_new:hover {
  cursor: pointer;
}

/*popup overlay, download img*/

.popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.hidden {
  display: none;
}

.popup {
  background-color: white;
  padding: 20px;
  border-radius: 8px;
  max-width: 600px;
  width: 100%;
  text-align: center;
  position: relative;
  max-height: 600px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 24px;
}

.popup-title {
  font-family: "HelveticaNeue";
  font-size: 24px;
  font-weight: 500;
  line-height: 24px;
  text-align: center;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.file-upload-label {
  font-size: 16px;
  display: block;
  margin-top: 10px;
}

.file-upload-input {
  margin-top: 10px;
  display: block;
  width: 100%;
}

.close-btn {
  position: absolute;
  right: 15px;
  top: 10px;
  font-size: 24px;
  cursor: pointer;
}

.filter-options {
  display: none;
}

.image-preview-container {
  margin-top: 20px;
  padding: 10px;
  border-radius: 8px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 342px;
  justify-content: center;
  gap: 14px;
  position: relative;
  background-color: #f5f5f5;
}

.preview-text {
  margin-bottom: 10px;
}

.preview-image {
  max-width: 100%;
  max-height: 100%;
  display: block;
  margin: 0 auto;
  border-radius: 8px;
  position: absolute;
  width: 100%;
  min-height: 349px;
  object-fit: cover;
}

.custom-file-upload {
  display: block;
  border: none;
  padding: 0 !important;
  background-color: #111111;
  color: white;
  cursor: pointer;
  border-radius: 4px;
  transition: background-color 0.3s;
  border-radius: 30px;
  box-sizing: border-box !important;
  width: 100%;
  outline: none;
  min-height: 38px;
  max-width: 125px;
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  text-align: center;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.custom-file-download {
  border-radius: 50%;
  width: 64px !important;
  height: 64px !important;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
}

#file-upload-text {
  width: 20px;
  height: 20px;
}

.custom-file-download__text {
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  text-align: center;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.custom-file-download__text_grey {
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  text-align: center;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  color: #7e7e7e;
}

/* .custom-file-upload:hover {
      background-color: #ffffff;
      color: #111111;
      border: 1px solid #111111;
      box-sizing: border-box !important;
    } */

.custom-file-upload:disabled {
  background-color: #ccc; /* Серый цвет фона */
  cursor: not-allowed; /* Указатель "запрещено" при наведении */
  color: #666; /* Тусклый текст */
  opacity: 0.7;
  border: none;
}

.custom-file-upload__disable {
  background-color: #ccc; /* Серый цвет фона */
  cursor: not-allowed; /* Указатель "запрещено" при наведении */
  color: #666; /* Тусклый текст */
  opacity: 0.7;
}

.custom-file-upload__disable:hover {
  background-color: #ccc !important; /* Убираем изменение фона при наведении */
  border: none !important;
  color: #666; /* Тусклый текст */
}

.custom-file-upload_white {
  background-color: #ffffff;
  color: #111111;
  border: 1px solid #111111;
}

/* .custom-file-upload_white:hover {
      background-color: #ccc;
      color: #ffffff;
    } */

.popup_info {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  font-weight: 500;
}
.hidden-input {
  display: none; /* Скрываем стандартное поле загрузки */
}

.popup_btn_group {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 16px;
  box-sizing: border-box;
}

.instagram-input-container {
  text-align: center;
}

.instagram-label {
  display: block;
  margin-bottom: 5px;
  font-size: 16px;
}

.instagram-input {
  width: 100%;
  padding: 10px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 8px;
  box-sizing: border-box;
}

.instagram-input::placeholder {
  font-size: 16px; /* Делаем размер текста плейсхолдера таким же, как основной текст */
  color: #aaa; /* Добавляем светло-серый цвет для плейсхолдера */

  font-family: Arial, sans-serif;
}

.instagram-input:focus {
  border-color: #007bff;
  outline: none;
}

/*popup_image*/
.popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.hidden {
  display: none;
}

.popup-content {
  background-color: white;
  padding: 20px;
  border-radius: 8px;
  text-align: center;
}

.popup-content img {
  max-width: 90%;
  max-height: 80vh;
  border-radius: 8px;
}

.close-popup-btn {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 24px;
  cursor: pointer;
  color: #000;
}

.popup-content {
  background-color: white;
  padding: 20px;
  border-radius: 8px;
  text-align: center;
  position: relative; /* Чтобы крестик позиционировался относительно окна */
}

.popup-content img {
  max-width: 90%;
  max-height: 80vh;
  border-radius: 8px;
}

.close-popup-btn {
  position: absolute; /* Фиксированное положение в правом верхнем углу окна */
  top: 3.5vw;
  right: 3.5vw;
  font-size: 24px;
  cursor: pointer;
  color: #000;
  background: none;
  border: none;
  font-weight: bold;
}

.close-popup-btn:hover {
  color: #ff0000; /* При наведении цвет становится красным */
}

.register-warning {
  margin-top: 10px;
  color: #d9534f; /* Красный цвет текста */
  font-size: 14px;
  text-align: center;
}

.btn__register-warning {
  padding: 14px 12px;
  background-color: #111111;
  color: #ffffff !important;
  border-radius: 30px;
  width: 100%;
  height: 50px;
}

.btn__register-warning:hover {
  cursor: pointer;
  background-color: white;
  color: #111111 !important;
  border: 1px solid #111111;
  box-sizing: border-box;
}

.ns-intec-universe.c-sale-basket-small.c-sale-basket-small-template-2
  .sale-basket-small-switch {
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
}

/*review-popup*/

.review-popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 9999;
}

.review-popup-content {
  position: relative;
  width: 80%;
  max-width: 359px;
  margin: 15% auto;
  background-color: #fff;
  padding: 24px;
  border-radius: 8px;
}

.review-popup-close {
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 30px;
  cursor: pointer;
}

.review-title {
  font-size: 24px;
  text-align: center;
  margin-bottom: 20px;
  font-weight: 700;
}

.review-title__popup {
  font-family: "HelveticaNeue";
  font-size: 24px !important;
  font-weight: 500 !important;
  line-height: 24px !important;
  text-align: center !important;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  margin-top: 10px !important;
}

.label-for-review-stars {
  font-family: "HelveticaNeue";
  font-size: 12px !important;
  font-weight: 500 !important;
  line-height: 24px !important;
  text-align: center !important;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.label-for-review-text {
  font-family: "HelveticaNeue";
  font-size: 12px;
  font-weight: 500;
  line-height: 24px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.review-rating {
  margin-bottom: 5px;
  margin-top: 20px;
}

.review-stars {
  display: inline-block;
}

.review-star {
  font-size: 30px;
  color: #e7e7e7e7;
  cursor: pointer;
}

.review-star.active {
  color: #111111;
}

.review-comment {
  margin-bottom: 20px;
}

.review-text {
  width: 312px;
  height: 120px;
  padding: 10px;
  border-radius: 8px;
  border: 1px solid #ccc;
  font-size: 14px;
}

.review-actions {
  display: flex;
  justify-content: space-between;
}

.review-btn {
  border: none;
  border-radius: 30px;
  cursor: pointer;
  font-weight: normal;
  font-family: "HelveticaNeue" !important;
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.review-reset {
  background-color: white;
  border: 1px solid #111111;
  width: 118px;
  height: 38px;
}

.review-submit {
  background-color: #111111;
  color: #fff;
  width: 124px;
  height: 38px;
}

/* Черная кнопка в стиле Nike */
.nike-btn {
  background-color: #ffffff;
  color: #111111;
  border: 1px solid #111111;
  font-family: "Nike", sans-serif;
  font-size: 12px;
  padding: 20px 20px;
  border-radius: 30px;
  cursor: pointer;
  text-transform: uppercase;
  font-weight: normal;
  transition: background-color 0.3s, transform 0.3s;
  position: relative;
}

.nike-btn:hover {
  transform: scale(1.01); /* Увеличение кнопки при наведении */
}

.nike-btn__review_width {
  width: 100%;
  background-color: #ffffff;
  color: #111111;
  border: 1px solid #111111;
  font-family: "Nike", sans-serif;
  font-size: 12px;
  padding: 20px 20px;
  border-radius: 30px;
  cursor: pointer;
  text-transform: uppercase;
  font-weight: normal;
  transition: background-color 0.3s, transform 0.3s;
  position: relative;
  font-family: "HelveticaNeue";
  font-size: 14px !important;
  font-weight: 500;
  line-height: 24px;
  text-align: center;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  margin-top: 20px;
}

.auth-message__review {
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  text-align: center;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.auth-message__review__more_review {
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  text-align: start;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  color: #111111 !important;
}

.auth-message__review__special {
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  text-align: center;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.nike-btn__review_width:disabled {
  background-color: #7e7e7e;
  color: #ffffff;
  cursor: default;
  transform: scale(1); /* Уменьшение кнопки при нажатии */
  border: none;
}

.nike-btn:active {
  transform: scale(0.98); /* Уменьшение кнопки при нажатии */
}

.nike-btn:disabled {
  background-color: #707072;
  cursor: default;
  transform: scale(1); /* Уменьшение кнопки при нажатии */
}

@media screen and (max-width: 768px) {
  .review-btn {
    padding: 8px 10px;
  }

  .review-popup-content {
    width: 100%;
    max-width: 359px;
  }
}

.s-title {
  font-family: "HelveticaNeue" !important;
  font-size: 32px !important;
  font-weight: 500 !important;
  line-height: 28px !important;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.xs-title {
  font-family: "HelveticaNeue" !important;
  font-size: 16px !important;
  font-weight: 400 !important;
  line-height: 24px !important;
  text-align: left !important;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.product-details__sub-title {
  font-family: "HelveticaNeue" !important;
  font-size: 16px !important;
  font-weight: 500 !important;
  line-height: 24px !important;
  text-align: left !important;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.average_review_text {
  font-family: "HelveticaNeue";
  font-size: 18.59px;
  font-weight: 500;
  line-height: 24px;
  text-align: right;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  color: #707072;
}

.reviews_cards_container_desktop {
  height: 426px;
  overflow-y: auto;
}

/* WebKit (Chrome, Safari, Edge) стилизация */
.reviews_cards_container_desktop::-webkit-scrollbar {
  height: 3px; /* Высота горизонтальной полосы прокрутки */
  background: transparent; /* Цвет фона полосы прокрутки */
  border-radius: 10px; /* Скругление углов */
  width: 4px;
}

.reviews_cards_container_desktop::-webkit-scrollbar-thumb {
  background: #7e7e7ecc; /* Цвет ползунка */
  border-radius: 10px; /* Скругление углов ползунка */
}

.reviews_cards_container_desktop::-webkit-scrollbar-thumb:hover {
  background: #7e7e7ecc; /* Цвет ползунка при наведении */
}

.reviews-popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 1000;
}

.reviews-popup-content {
  position: relative;
  background: #fff;
  margin: 15px auto;
  width: 90%;
  max-width: 700px;
  overflow-y: auto;
  border-radius: 8px;
}

.reviews-popup-close {
  position: absolute;
  right: 20px;
  top: 15px;
  font-size: 28px;
  cursor: pointer;
}

.reviews-popup-container {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding-top: 56px;
  padding-bottom: 56px;
}

.reviews_cards_container_desktop_popup {
  width: calc(100% - 48px);
  margin: 0 auto;
}

.line_popup-reviews {
  display: block;
  width: 100%;
  height: 1px;
  background-color: #cacacb;
}

.review_block_add_reviews-popup {
  margin: auto;
  margin-bottom: 28px;
  margin-top: 24px;
  width: calc(100% - 48px);
}

.filter-section_img_container__review-popup {
  padding-right: 14px;
}

.popup-content-player-photos {
  position: relative;
  display: grid;
  grid-template-columns: 1.285fr 1fr;
  grid-template-rows: 1fr;
  grid-column-gap: 0px;
  grid-row-gap: 0px;
  border-radius: 36px;
  height: 44.8vw;
  width: 80vw;
}

/*popup_photos css*/
.popup-player-photos__cards-container {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.popup-player-photos__card {
  display: flex;
  background: #ffffff;
  border-radius: 8px;
  overflow: hidden;
  width: 100%;
}

.popup-player-photos__card-image {
}

.popup-player-photos__card-image img {
  width: clamp(120px, 10vw, 176px);
  height: auto;
  object-fit: cover;
}

.popup-player-photos__card-content {
  padding: 20px;
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 16px;
}

.popup-player-photos__card-title {
  font-family: "HelveticaNeue";
  font-size: 24px;
  font-weight: 500;
  margin-bottom: 10px;
}

.popup-player-photos__card-description {
  font-family: "HelveticaNeue";
  font-size: 16px;
  color: #666;
}

.popup-player-photos__section {
  position: relative;
}

.popup-player-photos__section_info {
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  padding: 3.5vw;
  border-radius: 0 36px 36px 0;
}

.popup-player-photos__title {
  font-family: "HelveticaNeue";
  font-size: 32px;
  font-weight: 500;
  line-height: 28px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  margin-bottom: 34px !important;
}

.popup-player-photos__subtitle {
  font-family: "HelveticaNeue";
  font-size: 20px;
  font-weight: 500;
  line-height: 20px !important;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  color: #707072;
  margin-bottom: 4.1vw !important;
}

.image-container-player-photos {
  grid-area: 1 / 1 / 2 / 3;
  position: relative;
  max-width: 862px; /* задайте нужный размер блока */
  min-height: 50%; /* задайте нужный размер блока */
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  --bg-image: url("image1.jpg"); /* начальное изображение */
  width: 100%;
  height: 100%;
  border-radius: 36px 0 0 36px;
}

.image-container-player-photos img {
  width: 100% !important;
  max-width: 864px;
  max-height: 100% !important;
  object-fit: cover; /* изображение заполняет блок, сохраняя пропорции */
}

.image-container-player-photos::before {
  content: "";
  position: absolute;
  top: -20px;
  left: 0;
  right: -20px;
  bottom: -20px;
  background: var(--bg-image); /* используем переменную для фона */
  background-size: cover;
  filter: blur(15px); /* применяем блюр */
  z-index: -1; /* помещаем блюр за изображение */
}

.slider-nav-next-popup-image {
  position: absolute;
  right: -60px;
  top: 50%;
}

.slider-nav-prev-popup-image {
  position: absolute;
  left: -60px;
  top: 50%;
}

@media screen and (max-width: 1024px) {
  .popup-content-player-photos {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
  }

  .image-container-player-photos img {
    width: 80vw !important;
    height: 80vw !important;
  }

  .slider-nav-prev-popup-image {
    top: 45%;
    left: 24px;
    z-index: 1;
    background-color: #ffffff !important;
  }

  .slider-nav-next-popup-image {
    position: absolute;
    right: 24px;
    z-index: 1;
    background-color: #ffffff !important;
    top: 45%;
  }

  .popup-player-photos__section_info {
    border-radius: 0;
  }
  .image-container-player-photos {
    border-radius: 0;
    max-width: none;
  }

  .popup-player-photos__card-image {
    width: 128px;
    height: 128px;
    flex: 0 0 128px;
  }

  .popup-player-photos__section_info {
    padding: 24px;
  }

  .popup-player-photos__card-image img {
    width: 128px;
    height: 128px;
  }

  .popup-player-photos__card-title {
    font-family: "HelveticaNeue";
    font-size: 16px !important;
    font-weight: 500 !important;
    line-height: 24px !important;
    text-align: left;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
  }

  /* .slider-nav-next-popup-image {
        right: 10px;
        top: 120px;
      } */

  .popup-content-player-photos {
    max-width: 100%;
  }
  .mobile-popup-content-exit {
    background-color: #ffffff;
    height: 70px;
    display: flex;
    align-items: flex-end;
    padding-left: 24px;
    padding-bottom: 13px;
  }

  .close-popup-btn {
    top: 24px;
    right: 24px;
    width: 36px;
    height: 36px;
    background-color: #f5f5f5;
    position: absolute;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .mobile-popup-content-exit__text {
    font-family: "HelveticaNeue";
    font-size: 24px;
    font-weight: 500;
    line-height: 28px;
    text-align: left;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
  }
  .popup-content-player-photos {
    max-height: none;
    height: 100%;
    width: 100%;
    background-color: #ffffff;
    z-index: -1;
    border-radius: 0;
  }
}

@media screen and (max-width: 390px) {
  .mobile-popup-player-photos__subtitle {
    font-family: "HelveticaNeue";
    font-size: 16px;
    font-weight: 400;
    line-height: 24px !important;
    text-align: left;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
    color: #707072;
  }

  .popup-player-photos__section_info {
    padding-top: 5px;
    display: flex;
    flex-direction: column;
    gap: 42px;
  }
  .popup-player-photos__section_info {
    height: 62%;
  }
}

/*popup photos css end*/

.body_card_product {
  position: relative;
}

.review-popup-close {
  width: 36px;
  height: 36px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.review-popup-close:hover {
  background-color: #f5f5f5;
}

.close-popup-btn {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.close-popup-btn:hover {
  background-color: #f5f5f5;
}

@media screen and (max-width: 1024px) {
  .close-popup-btn {
    width: 36px;
    height: 36px;
  }
}

.size.disabled {
  color: #cacacb !important;
}

.btn-primary:hover {
  background-color: #7e7e7e !important;
  border-color: #7e7e7e !important;
}

.btn-secondary:hover {
  border-color: #111111 !important;
  background-color: #ffffff !important;
}

.product-gallery {
  overflow-y: auto;
  max-height: 500px;
}

/* Скрываем скроллбар для Chrome, Safari, Edge */
.product-gallery::-webkit-scrollbar {
  display: none;
}

/* Скрываем скроллбар для Firefox */
.product-gallery {
  scrollbar-width: none;
}

/* Для IE */
.product-gallery {
  -ms-overflow-style: none;
}

.text_bold {
  font-family: "HelveticaNeue";
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0;
}

.nike-btn__review_width {
  border-color: #7e7e7e !important;
}

.nike-btn__review_width:hover {
  border-color: #111111 !important;
}

.review-rating {
  display: flex;
  align-items: center;
  gap: 5px;
}
.review-stars {
  display: inline-block;
  display: flex;
  gap: 4px;
}
.review-star {
  /* font-size: 30px; */
  color: #e7e7e7e7;
  cursor: pointer;
  display: flex;
}

.review-reset {
  color: #111111 !important;
  border-color: #7e7e7e !important;
}

.review-reset:hover {
  border-color: #111111 !important;
}

.review-submit:hover {
  background-color: #7e7e7e !important;
}

.custom-file-upload_white {
  color: #111111 !important;
  border-color: #7e7e7e !important;
}
button.custom-file-upload_white:hover {
  border-color: #111111 !important;
  background-color: #ffffff !important;
}
.custom-file-upload:hover {
  background-color: #7e7e7e !important;
}

.popup {
  max-width: 390px;
}

.preview-image {
  object-fit: contain;
  min-height: 342px;
  z-index: 3;
}

.image-preview-container {
  width: 342px;
  height: 342px;
}

.close-btn {
  position: absolute;
  right: 15px;
  top: 10px;
  font-size: 24px;
  cursor: pointer;
  width: 36px;
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.close-btn:hover {
  background-color: #f5f5f5 !important;
}

@media screen and (min-width: 1024px) {
  .product-image-wrapper {
    margin-right: 84px;
  }

  .product-image img {
    max-height: 668.75px;
  }

  .arrow_card-right {
    top: 700px;
  }

  .arrow_card-left {
    top: 700px;
  }

  .product-gallery {
    max-height: 668.75px;
  }
}

.image-preview-container {
  overflow: hidden;
}

#image-preview .blur-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  filter: blur(20px); /* Размытие */
  z-index: 1;
  pointer-events: none;
}

.popup_info .close-btn {
  top: 29px;
  right: 28px;
}

.basket-added-cart-btn:hover {
  border-color: #111111 !important;
}

.basket-added-checkout-btn:hover {
  background-color: #7e7e7e;
}

@media screen and (max-width: 768px) {
  .product-image img {
    transition: transform 0.3s ease-out;
    user-select: none; /* Запрещаем выделение */
  }
}
